//   |------------------------------------------------------------|
//   | $Id: pickplot.sci,v 1.3 2009-05-08 22:03:48 pm Exp $       |
//   | Basic Seismic Utilities (BSU)                              |
//   | LANGUAGE: Scilab                                           |
//   | AUTHOR: P. MICHAELS                                        |
//   | FUNCTION NAME: pickplot.sci                                |
//   | DIRECTORY: BSUROOT/Scilab                                  |
//   |------------------------------------------------------------|
//   | purpose: read a BSEGY file and plot pick times from        |
//   |          headers.                                          |
//   |------------------------------------------------------------|
//   | Scilab is an interpreter useful for scientifc calculations.|
//   | It is similar to MATLAB and may be obtained free from      |
//   | http://www-rocq.inria.fr/scilab                            |
//   | Scilab is available for many platforms, including LINUX    |
//   |------------------------------------------------------------|
//   |  NOTICE:                                                   |
//   |  Copyright (c) 2009 Paul Michaels                          |
//   |  <pm@cgiss.boisestate.edu>                                 |
//   |  This program is free software; you can                    |
//   |  redistribute it and/or modify it under the terms          |
//   |  of the GNU General Public License as published            |
//   |  by the Free Software Foundation; either version           |
//   |  3 of the License, or (at your option) any later           |
//   |  version.  This program is distributed in the              |
//   |  hope that it will be useful, but                          |
//   |  WITHOUT ANY WARRANTY; without even the implied            |
//   |  warranty of MERCHANTABILITY or FITNESS FOR A              |
//   |  PARTICULAR PURPOSE.  See the GNU General Public           |
//   |  License for more details.                                 |
//   |  You should have received a copy of the GNU                |
//   |  General Public License along with this program;           |
//   |  if not, write to the Free Software Foundation,            |
//   |  Inc., 675 Mass Ave, Cambridge, MA 02139, USA.             |
//   |------------------------------------------------------------|

clear

//open data file with pointer fp1
msg='enter file name';
filen=input(msg,'string');

getf('segyinfo.sci','c');
getf('bsegin.sci','c');

fp1=mopen(filen,"rb");
[nbytes,ntraces,npts,fsamin]=segyinfo(fp1);
ntrtxt=sprintf("%d",ntraces);
disp("number of traces ="+ntrtxt)

//initialize data storrage
fr=zeros(ntraces,1);

//read traces
for k=1:ntraces
[data,frange,pic,rx,ry,rz,sx,sy,sz,sd]=bsegin(fp1,npts,k);
svoffset(k)=frange;
svpic(k)=pic;
end;  //next k

mclose(fp1);

labely='Pick Time (s)';
labelx='Offset (m)';
title=sprintf("File: %s ",filen);
plot2d(svoffset,svpic,style=-1)
xtitle('File: '+filen,labelx,labely)
xgrid(3)
