function [nbytes,ntraces,npts,fsamin]=segyinfo(fp1)
//   |------------------------------------------------------------|
//   | $Id: segyinfo.sci,v 1.3 2009-05-08 22:03:48 pm Exp $       |
//   | Basic Seismic Utilities (BSU)                              |
//   | LANGUAGE: Scilab                                           |
//   | AUTHOR: P. MICHAELS                                        |
//   | FUNCTION NAME: segyinfo.sci                                |
//   | DIRECTORY: BSUROOT/Scilab                                  |
//   |  revised for scilab 4.0                                    |
//   |------------------------------------------------------------|
//   | purpose: read a BSEGY file and extract number of samples   |
//   |          number of traces, and sample interval.            |
//   |  Assumes file opened as fp1=mopen(filen,'rb');	          |
//   |------------------------------------------------------------|
//   | Scilab is an interpreter useful for scientifc calculations.|
//   | It is similar to MATLAB and may be obtained free from      |
//   | http://www-rocq.inria.fr/scilab                            |
//   | Scilab is available for many platforms, including LINUX    |
//   |------------------------------------------------------------|
//   |  NOTICE:                                                   |
//   |  Copyright (c) 2009 Paul Michaels                          |
//   |  <pm@cgiss.boisestate.edu>                                 |
//   |  This program is free software; you can                    |
//   |  redistribute it and/or modify it under the terms          |
//   |  of the GNU General Public License as published            |
//   |  by the Free Software Foundation; either version           |
//   |  3 of the License, or (at your option) any later           |
//   |  version.  This program is distributed in the              |
//   |  hope that it will be useful, but                          |
//   |  WITHOUT ANY WARRANTY; without even the implied            |
//   |  warranty of MERCHANTABILITY or FITNESS FOR A              |
//   |  PARTICULAR PURPOSE.  See the GNU General Public           |
//   |  License for more details.                                 |
//   |  You should have received a copy of the GNU                |
//   |  General Public License along with this program;           |
//   |  if not, write to the Free Software Foundation,            |
//   |  Inc., 675 Mass Ave, Cambridge, MA 02139, USA.             |
//   |------------------------------------------------------------|

//compute file size in bytes
mseek(0,fp1,'end');
nbytes=mtell(fp1);

//move current position to byte 115
mseek(114,fp1,'set');

//read number of samples
npts=mget(1,'s');        //short integer

//read sample interval in microseconds
samin=mget(1,'s');       //short integer
fsamin=samin/1.E6;

//compute number of traces
nbptr=240+npts*4;
ntraces=nbytes/nbptr

//move pointer to begining of file
mseek(0,fp1,'set');
